package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 素材分组对象 fs_material_group
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsMaterialGroup extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** PK */
    private Long groupId;

    /** 分组名 */
    @Excel(name = "分组名")
    private String name;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long createUserId;

    /** $column.columnComment */
    @Excel(name = "创建者ID")
    private Integer isDel;

    public void setGroupId(Long groupId) 
    {
        this.groupId = groupId;
    }

    public Long getGroupId() 
    {
        return groupId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setCreateUserId(Long createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId() 
    {
        return createUserId;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("groupId", getGroupId())
            .append("name", getName())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createUserId", getCreateUserId())
            .append("isDel", getIsDel())
            .toString();
    }
}
